'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-64113c20.js');

const bpSdkSpinnerCss = "";

const BpSdkSpinner = class {
  constructor(hostRef) {
    index.registerInstance(this, hostRef);
    this.useExternal = false;
  }
  resetState() { }
  connectedCallback() {
    this.resetState();
  }
  componentWillLoad() {
    this.useExternal = !!customElements.get('bp-sdk-external-spinner');
    customElements.whenDefined('bp-sdk-external-spinner').then(() => {
      this.useExternal = true;
    });
  }
  render() {
    return [this.useExternal && this.renderExternal(), !this.useExternal && this.renderInternal()];
  }
  renderExternal() {
    return index.h("bp-sdk-external-spinner", null);
  }
  renderInternal() {
    return (index.h("div", { class: "bp-sdk-spinner__container" }, index.h("bp-sdk-icon-container", { name: "spinner", cssClasses: "fa-spin" })));
  }
};
BpSdkSpinner.style = bpSdkSpinnerCss;

exports.bp_sdk_spinner = BpSdkSpinner;
