import { BpSdkStore, removeActiveAnswerId, updateActiveQuestionSet } from '@boldpenguin/sdk-redux';
import { IApplicationFormQuestionSet, IConfigOptions, IQuestionSetNavigationContainerComponent, IQuestionSetState } from '@boldpenguin/sdk-types';
import { Unsubscribe } from '@stencil/redux';
export declare class BpSdkQuestionSetNavigationContainer implements IQuestionSetNavigationContainerComponent {
  storeUnsubscribe?: Unsubscribe;
  updateActiveQuestionSet: typeof updateActiveQuestionSet;
  removeActiveAnswerId: typeof removeActiveAnswerId;
  /**
   * Question sets injected from redux
   */
  questionSets: IQuestionSetState;
  /**
   * Web component configuration options injected from redux
   */
  configOptions: IConfigOptions;
  useExternal: boolean;
  questionSetList: IApplicationFormQuestionSet[];
  activeId: string;
  isNavigationEnabled: boolean;
  el: HTMLBpSdkQuestionSetNavigationContainerElement;
  resetState(): void;
  handleSubscriptions: () => void;
  connectedCallback(): void;
  componentWillLoad(): void;
  mapStateToProps: (state: BpSdkStore) => {
    questionSets: IQuestionSetState;
    configOptions: IConfigOptions;
  };
  onRemoveActiveAnswerRequest(): void;
  disconnectedCallback(): void;
  handleActiveQuestionSetUpdate(evt: CustomEvent): void;
  componentWillUpdate(): void;
  render(): any[];
  renderExternal(): any;
  onQuestionSetsChange(sets: IQuestionSetState): void;
  onConfigOptionsChange(options: IConfigOptions): void;
  renderInternal(): any;
}
