import { BpSdkStore, removeQuestionPool } from '@boldpenguin/sdk-redux';
import { IMappedQuestionGroupAnswers, IPartnerEngineConfig, IQuestionPool, IVehicleQuestionPoolContainerComponent } from '@boldpenguin/sdk-types';
import { EventEmitter } from '../../stencil-public-runtime';
import { Unsubscribe } from '@stencil/redux';
export declare class BpSdkVehicleQuestionPoolContainer implements IVehicleQuestionPoolContainerComponent {
  storeUnsubscribe?: Unsubscribe;
  removeQuestionPool: typeof removeQuestionPool;
  /**
   * Question Group
   */
  questionGroup: IMappedQuestionGroupAnswers;
  applicationId: string;
  config: IPartnerEngineConfig;
  useExternal: boolean;
  questionPool: IQuestionPool;
  questionPoolId: string;
  isDeleting: boolean;
  deletePool: EventEmitter<string>;
  el: HTMLBpSdkVehicleQuestionPoolContainerElement;
  resetState(): void;
  handleSubscriptions: () => void;
  connectedCallback(): void;
  mapStateToProps: (state: BpSdkStore) => {
    applicationId: string;
    config: IPartnerEngineConfig;
  };
  disconnectedCallback(): void;
  onQuestionGroupChange(questionGroup: IMappedQuestionGroupAnswers): void;
  componentWillLoad(): void;
  handleDeleteItem: () => void;
  render(): any[];
  renderExternal(): any;
  renderInternal(): any;
}
